#
# spec file for package yishu
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yishu
Version:        1.2.5
Release:        bp155.2.15
Summary:        A bespoke and simple Todo.txt client
License:        GPL-3.0-or-later
Group:          Productivity/Office/Organizers
URL:            https://github.com/lainsce
Source:         https://github.com/lainsce/yishu/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  libxml2-tools
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite) >= 0.5
BuildRequires:  pkgconfig(gtk+-3.0)
Recommends:     %{name}-lang

%description
Write a to-do list that will be easy to sync with most known Todo.txt clients.

%lang_package

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install
%suse_update_desktop_file -r com.github.lainsce.yishu GTK Utility DesktopUtility
%find_lang com.github.lainsce.yishu %{name}.lang
%fdupes %{buildroot}/%{_datadir}

# dirlist HiDPI icons (see: hicolor/index.theme)
_dirlist=$PWD/dir.lst
pushd %{buildroot}
find ./ | while read _list; do
    echo $_list | grep '[0-9]\@[0-9]' || continue
    _path=$(echo $_list | sed 's/[^/]//')
    if ! ls ${_path%/*}; then
        grep -xqs "\%dir\ ${_path%/*}" $_dirlist || echo "%dir ${_path%/*}" >> $_dirlist
    fi
done
popd

%files -f dir.lst
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/com.github.lainsce.yishu
%{_datadir}/applications/com.github.lainsce.yishu.desktop
%{_datadir}/glib-2.0/schemas/com.github.lainsce.yishu.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.lainsce.yishu.??g
%{_datadir}/metainfo/com.github.lainsce.yishu.appdata.xml

%files lang -f %{name}.lang

%changelog
* Thu Jul 16 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.2.5:
  * A bump because of an issue.
* Sun May 17 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.2.3:
  * Remove unused variables
  * Avoid setting file path to home on every start
  * Merge pull request #54 from onderbakirtas/master
  * Merge pull request #1 from
    onderbakirtas/onderbakirtas-patch-tr
  * Upgraded tr.po
  * Merge pull request #53 from safak45x/patch-1
  * Update tr.po
  * Merge pull request #52 from oskarkunik/master
  * 1.2.2
  * - some stuff
* Sun Feb  2 2020 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.2.1:
  * Merge pull request #47 from RavetcoFX/master
  * Add support for future dates
  * Merge pull request #46 from meisenzahl/master
  * Add Travis CI file for automated tests
  * Merge pull request #45 from mirkobrombin/patch-1
  * Merge pull request #44 from Vistaus/master
* Mon Jul 29 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.2.0:
  * App has a redesign
  * Removed Del keybind - it was legacy code
* Mon Apr 29 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.1.7:
  * Update Task.vala
  * Update README
  * Switch to UTF-8
  * Add other languages
* Mon Mar 11 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.1.6:
  * Update fr.po
  * Delete de_DE.mo
  * Update com.github.lainsce.yishu.appdata.xml
  * Update POTFILES
  * Update com.github.lainsce.yishu.pot
  * Update com.github.lainsce.yishu.desktop
  * Merge pull request #31 from NathanBnm/master
  * Create fr.po
  * Update LINGUAS
  * fix building
- Drop yishu-1.1.2-vala-0.42.patch
* Sun Nov 25 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.1.2:
  * Fixing startup
  * Remove confliting search
  * Functioning search!
  * Trying to do search
  * Start the new version up
- Add yishu-1.1.2-vala-0.42.patch
* Mon Sep 17 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.0.9:
  * Update AUTHORS
  * Fix language name for Czech po
* Wed Aug  1 2018 avvissu@yandex.by
- Update to 1.0.8
- Switch to metainfo from appdata
- Remove obsolete macros
* Sat Jun 23 2018 avvissu@yandex.by
- Update to 1.0.7:
  * Update Application.vala
  * Bugfixing galore
  * Rename pt-br.po to pt_BR.po
  * Update LINGUAS
  * Support PT-BR
  * Update README.md
* Tue Jan 30 2018 avvissu@yandex.by
- Update to 1.0.5:
  * Fix this, not ready for houston yet
  * 1.0.4:
  * New icon / Minor improvements all around to fix GTK
    deprecations
  * Add ProjectManagement
  * Add spanish traslate
- Add translations package
* Sat Jan  6 2018 avvissu@yandex.by
- Update to 1.0.3:
  * - small changes
  * - new screenshot
* Sun Dec 24 2017 avvissu@yandex.by
- Initial package
